Friday, April 8, 2016

Windows builds of version 2.0 are now fixed

With switch to QtWebEngine, there were unfortunately issues with packaging all required files for Windows. As a result, on some Windows system new version of QupZilla didn't work at all.

It should be all fixed now, please re-download the installer (or portable) from homepage again. I apologize for any inconvenience this may have caused.

Note for Windows XP: You may see warning popup messages on startup, it can be fixed by removing D3Dcompiler_47.dll in directory where you installed QupZilla.

19 comments:

  1. Now works OK (win xp). Download manager still uses the same ink color for text and background...

    ReplyDelete
    Replies
    1. I'm using Win XP Pro SP2. I downloaded the portable version, and it won't even open. It gives an error message that says, "The procedure entry point GetLogicalProcessorInformation could not be located in the dynamic link library KERNEL32.dll." :-(

      Delete
    2. You need to have XP SP3 to get it working.

      Delete
  2. I download the new version 2, but still don't run (W7 x64)

    ReplyDelete
  3. There are still issues with this build. On my Windows 8.1 box as well as my Windows 8.1 and Windows 10 virtual machines, the app appears to work correctly. On my Windows Vista and Windows 7 virtual machines, it forces wWindows to switch to Windows Basic theme (disabling Aero) and then shows a broken form just showing remnants of the screen that overlapped the form as you move it around. On my Windows XP virtual machine, the app crashes and somehow manages to crash the whole virtual machine.

    Note: All virtual machines are running clean installs of Windows with all standard updates applied (but no optional updates) running an updated copy of VirtualBox with the latest VirtualBox guest additions installed.

    ReplyDelete
    Replies
    1. Qt 5.6 buggies as far as (based environment builder and minimum API level)

      Delete
  4. Rosca please update QtWebEngineProcess.exe with "XP minimal system" to eliminating filckering on Win XP

    ReplyDelete
  5. I would like to install it on a Linux SUSE 8.0 with kernel 2.4.4.
    This system has neither qmake nor Qt 4.x
    What can i do?

    ReplyDelete
    Replies
    1. Upgrade the OS or use the VM. SUSE 8 is ancient.

      Delete
  6. It works fine on My main PC with Geforce 780Ti
    But VMWare and Intel 2ndGen HD Graphic VGA shows only black window.
    Can I disable graphic accelerator option as same as Firefox ?

    ReplyDelete
  7. Windows Portable App running now. Easily crashes when playing HTML5-Video even without interaction. Speed dials not working at all.

    ReplyDelete
  8. Windows version running so far, but with simple HTML only. Complex JS and Flash hangs Qupzilla and occassionally the system. Always complains about self signed certificates...
    Much weaker in stability than v1.8. Crashes too often.
    Where are the tools? !!!
    If this is the new direction - I won't follow.

    ReplyDelete
  9. Can't open standard google search anymore due to a JS Popup from Google that crashes v2. This is really bad / unusable!

    ReplyDelete
  10. Google crash can be fixed by clearing history

    ReplyDelete
  11. What is the sick timezone for this blog?

    ReplyDelete
  12. Windows builds of version 2.0 are now fixed???
    No!!! No!!! No!!!

    ReplyDelete
  13. This is the blog that is not read by its creator.
    Mr. Rosca, v2 on Windows is unusable and buggy like hell. Please react!

    ReplyDelete
  14. Private Browsing is buggy, stops working, exits - about half the time (Win10 64 bit)

    ReplyDelete